digiKam Developer Documentation: Digikam::AbstractSearchGroupContainer Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
Digikam::AbstractSearchGroupContainer Class Referenceabstract
Inheritance diagram for Digikam::AbstractSearchGroupContainer:

## Public Slots
SearchGroup * | addSearchGroup ()
void | removeSearchGroup (SearchGroup *group)

## Public Member Functions
| AbstractSearchGroupContainer (QWidget *const parent=nullptr)
| Abstract base class for classes that contain SearchGroups To contain common code of SearchView and SearchGroup, as SearchGroups can have subgroups.

## Protected Slots
void | removeSendingSearchGroup ()

## Protected Member Functions
virtual void | addGroupToLayout (SearchGroup *group)=0
| Re-implement: Adds a newly created group to the layout structures.
virtual SearchGroup * | createSearchGroup ()=0
| Re-implement: create and setup a search group.
void | finishReadingGroups ()
| Call when the XML part is finished.
void | readGroup (SearchXmlCachingReader &reader)
| Call when a group element is the current element.
void | startReadingGroups (SearchXmlCachingReader &reader)
| Call before reading the XML part that could contain group elements.
QList< QRect > | startupAnimationAreaOfGroups () const
| Collects the data from the same method of all contained groups (position relative to this widget)
void | writeGroups (SearchXmlWriter &writer) const
| Write contained groups to writer.

## Protected Attributes
int | m_groupIndex = 0
QList< SearchGroup * > | m_groups

## Member Function Documentation

## ◆ addGroupToLayout()

virtual void Digikam::AbstractSearchGroupContainer::addGroupToLayout | ( | SearchGroup * | group | ) |
| protectedpure virtual

Implemented in Digikam::SearchGroup, and Digikam::SearchView.

## ◆ createSearchGroup()

virtual SearchGroup * Digikam::AbstractSearchGroupContainer::createSearchGroup | ( |  | ) |
| protectedpure virtual

Implemented in Digikam::SearchGroup, and Digikam::SearchView.